## pybloomfiltermmap 0.3.11

=== src/Makefile ===
bloomfilter: mmapbitarray.* bloomfilter.*
	gcc -lm -O3 mmapbitarray.c md5.c bloomfilter.c -o bf

mbarray: mmapbitarray.*
	gcc -lm -O3 -DMBAQUERY mmapbitarray.c -o mbaquery
	gcc -lm -O3 -DMBACREATE mmapbitarray.c -o mbacreate

=== debian/changelog ===
pybloomfiltermmap (0.3.11-1) unstable; urgency=low

  * Initial release (closes: #682002)

 -- Luciano Bello <luciano@debian.org>  Sat, 12 Oct 2013 16:09:00 +0200 

=== debian/control ===
Source: pybloomfiltermmap
Maintainer: Luciano Bello <luciano@debian.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all-dev (>= 2.6.6-3), debhelper (>= 7), libssl-dev
Standards-Version: 3.9.4

Package: python-pybloomfiltermmap
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Bloom filter (bloomfilter) for Python built on mmap
 This module implements a Bloom filter in Python that's fast and uses
 mmap files for better scalability.
 .
 It main advantages are:
  * It natively uses mmaped files.
  * It natively does the set things you want a Bloom filter to do.
  * It is fast.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pybloomfiltermmap/pybloomfiltermmap-(\d+.*)\.tar\.gz

## pybloomfiltermmap 0.3.14

=== src/Makefile ===
bloomfilter: mmapbitarray.* bloomfilter.*
	gcc -lm -O3 mmapbitarray.c md5.c MurmurHash3.cpp bloomfilter.c -o bf

mbarray: mmapbitarray.*
	gcc -lm -O3 -DMBAQUERY mmapbitarray.c -o mbaquery
	gcc -lm -O3 -DMBACREATE mmapbitarray.c -o mbacreate

=== debian/changelog ===
pybloomfiltermmap (0.3.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #794675)
  * Bump std-version to 3.9.6.
  * Bump compat level to 9
  * Update watch file.
  * Use cython to regenerate source files. 
  * Run wrap-and-sort
  * Add README.markdown to docs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Sep 2015 17:32:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Maintainer: Luciano Bello <luciano@debian.org>
 Section: python
 Priority: optional
-Build-Depends: python-setuptools (>= 0.6b3), python-all-dev (>= 2.6.6-3), debhelper (>= 7), libssl-dev
-Standards-Version: 3.9.4
+Build-Depends: cython,
+               debhelper (>= 9),
+               libssl-dev,
+               python-all-dev (>= 2.6.6-3),
+               python-setuptools (>= 0.6b3)
+Standards-Version: 3.9.6
 
 Package: python-pybloomfiltermmap
 Architecture: any

=== debian/watch ===
on=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pybloomfiltermmap/pybloomfiltermmap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pybloomfiltermmap 0.3.15

=== src/Makefile ===
CC ?= gcc

bloomfilter: mmapbitarray.* bloomfilter.*
	$(CC) $(CFLAGS) $(CPPFLAGS) -O3 mmapbitarray.c md5.c MurmurHash3.cpp bloomfilter.c -o bf -lm $(LDFLAGS)

mbarray: mmapbitarray.*
	$(CC) $(CFLAGS) $(CPPFLAGS) -O3 -DMBAQUERY mmapbitarray.c -o mbaquery -lm $(LDFLAGS)
	$(CC) $(CFLAGS) $(CPPFLAGS) -O3 -DMBACREATE mmapbitarray.c -o mbacreate -lm $(LDFLAGS)

=== debian/changelog ===
pybloomfiltermmap (0.3.15-0.1build2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:39:48 +0000

pybloomfiltermmap (0.3.15-0.1build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:21 +0000

pybloomfiltermmap (0.3.15-0.1) unstable; urgency=medium

  * New upstream release
  * Non-maintainer upload.
  * Fix watch file.
  * Bump std-version to 3.9.8
  * Add dh-python to build-depends.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 May 2016 13:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Priority: optional
 Build-Depends: cython,
                debhelper (>= 9),
+               dh-python,
                libssl-dev,
                python-all-dev (>= 2.6.6-3),
                python-setuptools (>= 0.6b3)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: python-pybloomfiltermmap
 Architecture: any

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pybloomfiltermmap/pybloomfiltermmap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
